<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_blog_style = explode('_', healthy_blog_get_theme_option('blog_style'));
$healthy_blog_columns = empty($healthy_blog_blog_style[1]) ? 2 : max(2, $healthy_blog_blog_style[1]);
$healthy_blog_expanded = !healthy_blog_sidebar_present() && healthy_blog_is_on(healthy_blog_get_theme_option('expand_content'));
$healthy_blog_post_format = get_post_format();
$healthy_blog_post_format = empty($healthy_blog_post_format) ? 'standard' : str_replace('post-format-', '', $healthy_blog_post_format);
$healthy_blog_animation = healthy_blog_get_theme_option('blog_animation');
$healthy_blog_components = healthy_blog_is_inherit(healthy_blog_get_theme_option_from_meta('meta_parts')) 
							? 'date,counters'.($healthy_blog_columns < 3 ? ',edit' : '')
							: healthy_blog_array_get_keys_by_value(healthy_blog_get_theme_option('meta_parts'));
$healthy_blog_counters = healthy_blog_is_inherit(healthy_blog_get_theme_option_from_meta('counters')) 
							? 'views,likes,comments'
							: healthy_blog_array_get_keys_by_value(healthy_blog_get_theme_option('counters'));

?><div class="<?php healthy_blog_show_layout($healthy_blog_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item'); ?>-1_<?php echo esc_attr($healthy_blog_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($healthy_blog_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($healthy_blog_columns)
					. ' post_layout_'.esc_attr($healthy_blog_blog_style[0]) 
					. ' post_layout_'.esc_attr($healthy_blog_blog_style[0]).'_'.esc_attr($healthy_blog_columns)
					); ?>
	<?php echo (!healthy_blog_is_off($healthy_blog_animation) ? ' data-animation="'.esc_attr(healthy_blog_get_animation_classes($healthy_blog_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	healthy_blog_show_post_featured( array( 'thumb_size' => healthy_blog_get_thumb_size($healthy_blog_blog_style[0] == 'classic'
													? (strpos(healthy_blog_get_theme_option('body_style'), 'full')!==false 
															? ( $healthy_blog_columns > 2 ? 'big' : 'huge' )
															: (	$healthy_blog_columns > 2
																? ($healthy_blog_expanded ? 'big' : 'small')
																: ($healthy_blog_expanded ? 'big' : 'med')
																)
														)
													: (strpos(healthy_blog_get_theme_option('body_style'), 'full')!==false 
															? ( $healthy_blog_columns > 2 ? 'masonry-big' : 'full' )
															: (	$healthy_blog_columns <= 2 && $healthy_blog_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($healthy_blog_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('healthy_blog_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('healthy_blog_action_before_post_meta'); 

			// Post meta
			if (!empty($healthy_blog_components))
				healthy_blog_show_post_meta(apply_filters('healthy_blog_filter_post_meta_args', array(
					'components' => $healthy_blog_components,
					'counters' => $healthy_blog_counters,
					'seo' => false
					), $healthy_blog_blog_style[0], $healthy_blog_columns)
				);

			do_action('healthy_blog_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$healthy_blog_show_learn_more = false; 
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($healthy_blog_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($healthy_blog_post_format == 'quote') {
				if (($quote = healthy_blog_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					healthy_blog_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($healthy_blog_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($healthy_blog_components))
				healthy_blog_show_post_meta(apply_filters('healthy_blog_filter_post_meta_args', array(
					'components' => $healthy_blog_components,
					'counters' => $healthy_blog_counters
					), $healthy_blog_blog_style[0], $healthy_blog_columns)
				);
		}
		// More button
		if ( $healthy_blog_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'healthy-blog'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>