<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_blog_style = explode('_', healthy_blog_get_theme_option('blog_style'));
$healthy_blog_columns = empty($healthy_blog_blog_style[1]) ? 2 : max(2, $healthy_blog_blog_style[1]);
$healthy_blog_post_format = get_post_format();
$healthy_blog_post_format = empty($healthy_blog_post_format) ? 'standard' : str_replace('post-format-', '', $healthy_blog_post_format);
$healthy_blog_animation = healthy_blog_get_theme_option('blog_animation');
$healthy_blog_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($healthy_blog_columns).' post_format_'.esc_attr($healthy_blog_post_format) ); ?>
	<?php echo (!healthy_blog_is_off($healthy_blog_animation) ? ' data-animation="'.esc_attr(healthy_blog_get_animation_classes($healthy_blog_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($healthy_blog_image[1]) && !empty($healthy_blog_image[2])) echo intval($healthy_blog_image[1]) .'x' . intval($healthy_blog_image[2]); ?>"
	data-src="<?php if (!empty($healthy_blog_image[0])) echo esc_url($healthy_blog_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$healthy_blog_image_hover = 'icon';
	if (in_array($healthy_blog_image_hover, array('icons', 'zoom'))) $healthy_blog_image_hover = 'dots';
	$healthy_blog_components = healthy_blog_is_inherit(healthy_blog_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: healthy_blog_array_get_keys_by_value(healthy_blog_get_theme_option('meta_parts'));
	$healthy_blog_counters = healthy_blog_is_inherit(healthy_blog_get_theme_option_from_meta('counters')) 
								? 'comments'
								: healthy_blog_array_get_keys_by_value(healthy_blog_get_theme_option('counters'));
	healthy_blog_show_post_featured(array(
		'hover' => $healthy_blog_image_hover,
		'thumb_size' => healthy_blog_get_thumb_size( strpos(healthy_blog_get_theme_option('body_style'), 'full')!==false || $healthy_blog_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($healthy_blog_components)
										? healthy_blog_show_post_meta(apply_filters('healthy_blog_filter_post_meta_args', array(
											'components' => $healthy_blog_components,
											'counters' => $healthy_blog_counters,
											'seo' => false,
											'echo' => false
											), $healthy_blog_blog_style[0], $healthy_blog_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'healthy-blog') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>