<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_blog_style = explode('_', healthy_blog_get_theme_option('blog_style'));
$healthy_blog_columns = empty($healthy_blog_blog_style[1]) ? 2 : max(2, $healthy_blog_blog_style[1]);
$healthy_blog_post_format = get_post_format();
$healthy_blog_post_format = empty($healthy_blog_post_format) ? 'standard' : str_replace('post-format-', '', $healthy_blog_post_format);
$healthy_blog_animation = healthy_blog_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($healthy_blog_columns).' post_format_'.esc_attr($healthy_blog_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!healthy_blog_is_off($healthy_blog_animation) ? ' data-animation="'.esc_attr(healthy_blog_get_animation_classes($healthy_blog_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$healthy_blog_image_hover = healthy_blog_get_theme_option('image_hover');
	// Featured image
	healthy_blog_show_post_featured(array(
		'thumb_size' => healthy_blog_get_thumb_size(strpos(healthy_blog_get_theme_option('body_style'), 'full')!==false || $healthy_blog_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $healthy_blog_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $healthy_blog_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>