<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$healthy_blog_post_format = get_post_format();
$healthy_blog_post_format = empty($healthy_blog_post_format) ? 'standard' : str_replace('post-format-', '', $healthy_blog_post_format);
$healthy_blog_animation = healthy_blog_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($healthy_blog_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($healthy_blog_post_format) ); ?>
	<?php echo (!healthy_blog_is_off($healthy_blog_animation) ? ' data-animation="'.esc_attr(healthy_blog_get_animation_classes($healthy_blog_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	healthy_blog_show_post_featured(array(
		'thumb_size' => healthy_blog_get_thumb_size($healthy_blog_columns==1 ? 'big' : ($healthy_blog_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($healthy_blog_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			healthy_blog_show_post_meta(apply_filters('healthy_blog_filter_post_meta_args', array(), 'sticky', $healthy_blog_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>