<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('healthy_blog_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'healthy_blog_cf7_theme_setup9', 9 );
	function healthy_blog_cf7_theme_setup9() {
		if (is_admin()) {
			add_filter( 'healthy_blog_filter_tgmpa_required_plugins',			'healthy_blog_cf7_tgmpa_required_plugins' );
		}
	}
}



// Filter to add in the required plugins list
if ( !function_exists( 'healthy_blog_cf7_tgmpa_required_plugins' ) ) {
	function healthy_blog_cf7_tgmpa_required_plugins($list=array()) {
		if (in_array('instagram-feed', healthy_blog_storage_get('required_plugins')))
			$list[] = array(
					'name' 		=> esc_html__('Contact Form 7', 'healthy-blog'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
				);
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'healthy_blog_exists_cf7' ) ) {
	function healthy_blog_exists_cf7() {
		return class_exists('WPCF7');
	}
}
	
?>