<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'healthy_blog_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'healthy_blog_elegro_payment_theme_setup9', 9 );
	function healthy_blog_elegro_payment_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'healthy_blog_filter_tgmpa_required_plugins', 'healthy_blog_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'healthy_blog_elegro_payment_tgmpa_required_plugins' ) ) {
	
	function healthy_blog_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if (in_array('elegro-payment', healthy_blog_storage_get('required_plugins'))) {
			$list[] = array(
				'name'     => esc_html__('Elegro Payment', 'healthy-blog'),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'healthy_blog_exists_elegro_payment' ) ) {
	function healthy_blog_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}
