<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('healthy_blog_essential_grid_theme_setup9')) {
	add_action( 'after_setup_theme', 'healthy_blog_essential_grid_theme_setup9', 9 );
	function healthy_blog_essential_grid_theme_setup9() {
		if (healthy_blog_exists_essential_grid()) {
			add_action( 'wp_enqueue_scripts', 							'healthy_blog_essential_grid_frontend_scripts', 1100 );
			add_filter( 'healthy_blog_filter_merge_styles',					'healthy_blog_essential_grid_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'healthy_blog_filter_tgmpa_required_plugins',		'healthy_blog_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'healthy_blog_exists_essential_grid' ) ) {
	function healthy_blog_exists_essential_grid() {
		return defined('EG_PLUGIN_PATH');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'healthy_blog_essential_grid_tgmpa_required_plugins' ) ) {
	function healthy_blog_essential_grid_tgmpa_required_plugins($list=array()) {
		if (in_array('essential-grid', healthy_blog_storage_get('required_plugins'))) {
			$path = healthy_blog_get_file_dir('plugins/essential-grid/essential-grid.zip');
			$list[] = array(
						'name' 		=> esc_html__('Essential Grid', 'healthy-blog'),
						'slug' 		=> 'essential-grid',
						'version'	=> '2.3.6',
						'source'	=> !empty($path) ? $path : 'upload://essential-grid.zip',
						'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'healthy_blog_essential_grid_frontend_scripts' ) ) {
	function healthy_blog_essential_grid_frontend_scripts() {
		if (healthy_blog_is_on(healthy_blog_get_theme_option('debug_mode')) && healthy_blog_get_file_dir('plugins/essential-grid/essential-grid.css')!='')
			wp_enqueue_style( 'healthy-blog-essential-grid',  healthy_blog_get_file_url('plugins/essential-grid/essential-grid.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'healthy_blog_essential_grid_merge_styles' ) ) {
	function healthy_blog_essential_grid_merge_styles($list) {
		$list[] = 'plugins/essential-grid/essential-grid.css';
		return $list;
	}
}
?>