<?php
/* Custom Feeds for Instagram support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('healthy_blog_instagram_feed_theme_setup9')) {
	add_action( 'after_setup_theme', 'healthy_blog_instagram_feed_theme_setup9', 9 );
	function healthy_blog_instagram_feed_theme_setup9() {
		if (is_admin()) {
			add_filter( 'healthy_blog_filter_tgmpa_required_plugins',		'healthy_blog_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Check if Custom Feeds for Instagram installed and activated
if ( !function_exists( 'healthy_blog_exists_instagram_feed' ) ) {
	function healthy_blog_exists_instagram_feed() {
		return defined('SBIVER');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'healthy_blog_instagram_feed_tgmpa_required_plugins' ) ) {
	function healthy_blog_instagram_feed_tgmpa_required_plugins($list=array()) {
		if (in_array('instagram-feed', healthy_blog_storage_get('required_plugins')))
			$list[] = array(
					'name' 		=> esc_html__('Custom Feeds for Instagram', 'healthy-blog'),
					'slug' 		=> 'instagram-feed',
					'required' 	=> false
				);
		return $list;
	}
}
?>