<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

if (healthy_blog_sidebar_present()) {
	ob_start();
	$healthy_blog_sidebar_name = healthy_blog_get_theme_option('sidebar_widgets');
	healthy_blog_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($healthy_blog_sidebar_name) ) {
		dynamic_sidebar($healthy_blog_sidebar_name);
	}
	$healthy_blog_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($healthy_blog_out)) {
		$healthy_blog_sidebar_position = healthy_blog_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($healthy_blog_sidebar_position); ?> widget_area<?php if (!healthy_blog_is_inherit(healthy_blog_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(healthy_blog_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'healthy_blog_action_before_sidebar' );
				healthy_blog_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $healthy_blog_out));
				do_action( 'healthy_blog_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>