<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */


get_header();

while ( have_posts() ) { the_post();

	get_template_part( 'content', get_post_format() );

	// Previous/next post navigation.
	?><div class="nav-links-single"><?php
		the_post_navigation( array(
			'next_text' => '<span class="nav-arrow"></span>'
				. '<span class="avatar"></span>'
				. '<span class="screen-reader-text">' . esc_html__( 'Next post:', 'healthy-blog' ) . '</span> '
				. '<h6 class="post-title">%title</h6>'
				. '<span class="post_date">%date</span>'
				. '<span class="read_more_post">'
				.  esc_html__('Read More', 'healthy-blog')
				.  '</span>',
			'prev_text' => '<span class="nav-arrow"></span>'
				. '<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'healthy-blog' ) . '</span> '
				. '<h6 class="post-title">%title</h6>'
				. '<span class="post_date">%date</span>'
				. '<span class="read_more_post">'
				.  esc_html__('Read More', 'healthy-blog')
				.  '</span>',
		) );
	?></div><?php

	// Related posts
	$healthy_blog_related_posts = (int) healthy_blog_get_theme_option('related_posts');
	if ($healthy_blog_related_posts > 0) {
		healthy_blog_show_related_posts(array('orderby' => 'rand',
										'posts_per_page' => max(1, min(9, healthy_blog_get_theme_option('related_posts'))),
										'columns' => max(1, min(4, healthy_blog_get_theme_option('related_columns')))
										),
									healthy_blog_get_theme_option('related_style')
									);
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
?>