<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.10
 */

// Copyright area
$healthy_blog_footer_scheme =  healthy_blog_is_inherit(healthy_blog_get_theme_option('footer_scheme')) ? healthy_blog_get_theme_option('color_scheme') : healthy_blog_get_theme_option('footer_scheme');
$healthy_blog_copyright_scheme = healthy_blog_is_inherit(healthy_blog_get_theme_option('copyright_scheme')) ? $healthy_blog_footer_scheme : healthy_blog_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($healthy_blog_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and [[...]] on the <i>...</i> and <b>...</b>
				$healthy_blog_copyright = healthy_blog_prepare_macros(healthy_blog_get_theme_option('copyright'));
				if (!empty($healthy_blog_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $healthy_blog_copyright, $healthy_blog_matches)) {
						$healthy_blog_copyright = str_replace($healthy_blog_matches[1], date(str_replace(array('{', '}'), '', $healthy_blog_matches[1])), $healthy_blog_copyright);
                        $healthy_blog_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $healthy_blog_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($healthy_blog_copyright));
				}
			?></div>
		</div>
	</div>
</div>
