<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.10
 */

$healthy_blog_footer_scheme =  healthy_blog_is_inherit(healthy_blog_get_theme_option('footer_scheme')) ? healthy_blog_get_theme_option('color_scheme') : healthy_blog_get_theme_option('footer_scheme');
$healthy_blog_footer_id = str_replace('footer-custom-', '', healthy_blog_get_theme_option("footer_style"));
$healthy_blog_footer_meta = get_post_meta($healthy_blog_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($healthy_blog_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($healthy_blog_footer_id))); 
						if (!empty($healthy_blog_footer_meta['margin']) != '') 
							echo ' '.esc_attr(healthy_blog_add_inline_css_class('margin-top: '.esc_attr(healthy_blog_prepare_css_value($healthy_blog_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($healthy_blog_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('healthy_blog_action_show_layout', $healthy_blog_footer_id);
	?>
</footer><!-- /.footer_wrap -->
