<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.10
 */

// Logo
if (healthy_blog_is_on(healthy_blog_get_theme_option('logo_in_footer'))) {
	$healthy_blog_logo_image = '';
	if (healthy_blog_get_retina_multiplier(2) > 1)
		$healthy_blog_logo_image = healthy_blog_get_theme_option( 'logo_footer_retina' );
	if (empty($healthy_blog_logo_image)) 
		$healthy_blog_logo_image = healthy_blog_get_theme_option( 'logo_footer' );
	$healthy_blog_logo_text   = get_bloginfo( 'name' );
	if (!empty($healthy_blog_logo_image) || !empty($healthy_blog_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($healthy_blog_logo_image)) {
					$healthy_blog_attr = healthy_blog_getimagesize($healthy_blog_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($healthy_blog_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('Image', 'healthy-blog').'"'.(!empty($healthy_blog_attr[3]) ? sprintf(' %s', $healthy_blog_attr[3]) : '').'></a>' ;
				} else if (!empty($healthy_blog_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($healthy_blog_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>