<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.10
 */

// Footer sidebar
$healthy_blog_footer_name = healthy_blog_get_theme_option('footer_widgets');
$healthy_blog_footer_present = !healthy_blog_is_off($healthy_blog_footer_name) && is_active_sidebar($healthy_blog_footer_name);
if ($healthy_blog_footer_present) { 
	healthy_blog_storage_set('current_sidebar', 'footer');
	$healthy_blog_footer_wide = healthy_blog_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($healthy_blog_footer_name) ) {
		dynamic_sidebar($healthy_blog_footer_name);
	}
	$healthy_blog_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($healthy_blog_out)) {
		$healthy_blog_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $healthy_blog_out);
		$healthy_blog_need_columns = true;
		if ($healthy_blog_need_columns) {
			$healthy_blog_columns = max(0, (int) healthy_blog_get_theme_option('footer_columns'));
			if ($healthy_blog_columns == 0) $healthy_blog_columns = min(4, max(1, substr_count($healthy_blog_out, '<aside ')));
			if ($healthy_blog_columns > 1)
				$healthy_blog_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($healthy_blog_columns).' widget ', $healthy_blog_out);
			else
				$healthy_blog_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($healthy_blog_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$healthy_blog_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($healthy_blog_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'healthy_blog_action_before_sidebar' );
				healthy_blog_show_layout($healthy_blog_out);
				do_action( 'healthy_blog_action_after_sidebar' );
				if ($healthy_blog_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$healthy_blog_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>