<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.06
 */

$healthy_blog_header_css = $healthy_blog_header_image = '';
$healthy_blog_header_video = healthy_blog_get_header_video();
if (true || empty($healthy_blog_header_video)) {
	$healthy_blog_header_image = get_header_image();
	if (healthy_blog_is_on(healthy_blog_get_theme_option('header_image_override')) && apply_filters('healthy_blog_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($healthy_blog_cat_img = healthy_blog_get_category_image()) != '')
				$healthy_blog_header_image = $healthy_blog_cat_img;
		} else if (is_singular() || healthy_blog_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$healthy_blog_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($healthy_blog_header_image)) $healthy_blog_header_image = $healthy_blog_header_image[0];
			} else
				$healthy_blog_header_image = '';
		}
	}
}

$healthy_blog_header_id = str_replace('header-custom-', '', healthy_blog_get_theme_option("header_style"));
$healthy_blog_header_meta = get_post_meta($healthy_blog_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($healthy_blog_header_id); 
						?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($healthy_blog_header_id)));
						echo !empty($healthy_blog_header_image) || !empty($healthy_blog_header_video) 
							? ' with_bg_image' 
							: ' without_bg_image';
						if ($healthy_blog_header_video!='') 
							echo ' with_bg_video';
						if ($healthy_blog_header_image!='') 
							echo ' '.esc_attr(healthy_blog_add_inline_css_class('background-image: url('.esc_url($healthy_blog_header_image).');'));
						if (!empty($healthy_blog_header_meta['margin']) != '') 
							echo ' '.esc_attr(healthy_blog_add_inline_css_class('margin-bottom: '.esc_attr(healthy_blog_prepare_css_value($healthy_blog_header_meta['margin'])).';'));
						if (is_single() && has_post_thumbnail()) 
							echo ' with_featured_image';
						if (healthy_blog_is_on(healthy_blog_get_theme_option('header_fullheight'))) 
							echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(healthy_blog_is_inherit(healthy_blog_get_theme_option('header_scheme')) 
														? healthy_blog_get_theme_option('color_scheme') 
														: healthy_blog_get_theme_option('header_scheme'));
						?>"><?php

	// Background video
	if (!empty($healthy_blog_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('healthy_blog_action_show_layout', $healthy_blog_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>