<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_args = get_query_var('healthy_blog_logo_args');

// Site logo
$healthy_blog_logo_image  = healthy_blog_get_logo_image(isset($healthy_blog_args['type']) ? $healthy_blog_args['type'] : '');
$healthy_blog_logo_text   = healthy_blog_is_on(healthy_blog_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$healthy_blog_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($healthy_blog_logo_image) || !empty($healthy_blog_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($healthy_blog_logo_image)) {
			$healthy_blog_attr = healthy_blog_getimagesize($healthy_blog_logo_image);
			echo '<img src="'.esc_url($healthy_blog_logo_image).'" alt="'.esc_attr__('Image', 'healthy-blog').'"'.(!empty($healthy_blog_attr[3]) ? sprintf(' %s', $healthy_blog_attr[3]) : '').'>' ;
		} else {
			healthy_blog_show_layout(healthy_blog_prepare_macros($healthy_blog_logo_text), '<span class="logo_text">', '</span>');
			healthy_blog_show_layout(healthy_blog_prepare_macros($healthy_blog_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>