<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

// Page (category, tag, archive, author) title

if ( healthy_blog_need_page_title() ) {
	healthy_blog_sc_layouts_showed('title', true);
	healthy_blog_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								healthy_blog_show_post_meta(apply_filters('healthy_blog_filter_post_meta_args', array(
									'components' => 'categories,date,counters,edit',
									'counters' => 'views,comments,likes',
									'seo' => true
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$healthy_blog_blog_title = healthy_blog_get_blog_title();
							$healthy_blog_blog_title_text = $healthy_blog_blog_title_class = $healthy_blog_blog_title_link = $healthy_blog_blog_title_link_text = '';
							if (is_array($healthy_blog_blog_title)) {
								$healthy_blog_blog_title_text = $healthy_blog_blog_title['text'];
								$healthy_blog_blog_title_class = !empty($healthy_blog_blog_title['class']) ? ' '.$healthy_blog_blog_title['class'] : '';
								$healthy_blog_blog_title_link = !empty($healthy_blog_blog_title['link']) ? $healthy_blog_blog_title['link'] : '';
								$healthy_blog_blog_title_link_text = !empty($healthy_blog_blog_title['link_text']) ? $healthy_blog_blog_title['link_text'] : '';
							} else
								$healthy_blog_blog_title_text = $healthy_blog_blog_title;
							?>
							<h1 class="sc_layouts_title_caption<?php echo esc_attr($healthy_blog_blog_title_class); ?>"><?php
								$healthy_blog_top_icon = healthy_blog_get_category_icon();
								if (!empty($healthy_blog_top_icon)) {
									$healthy_blog_attr = healthy_blog_getimagesize($healthy_blog_top_icon);
									?><img src="<?php echo esc_url($healthy_blog_top_icon); ?>" alt="<?php esc_attr__('Image', 'healthy-blog')?>" <?php if (!empty($healthy_blog_attr[3])) healthy_blog_show_layout($healthy_blog_attr[3]);?>><?php
								}
								echo wp_kses_post($healthy_blog_blog_title_text);
							?></h1>
							<?php
							if (!empty($healthy_blog_blog_title_link) && !empty($healthy_blog_blog_title_link_text)) {
								?><a href="<?php echo esc_url($healthy_blog_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($healthy_blog_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'healthy_blog_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>