<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0.14
 */
$healthy_blog_header_video = healthy_blog_get_header_video();
$healthy_blog_embed_video = '';
if (!empty($healthy_blog_header_video) && !healthy_blog_is_from_uploads($healthy_blog_header_video)) {
	if (healthy_blog_is_youtube_url($healthy_blog_header_video) && preg_match('/[=\/]([^=\/]*)$/', $healthy_blog_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$healthy_blog_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($healthy_blog_header_video) . '[/embed]' ));
			$healthy_blog_embed_video = healthy_blog_make_video_autoplay($healthy_blog_embed_video);
		} else {
			$healthy_blog_header_video = str_replace('/watch?v=', '/embed/', $healthy_blog_header_video);
			$healthy_blog_header_video = healthy_blog_add_to_url($healthy_blog_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$healthy_blog_embed_video = '<iframe src="' . esc_url($healthy_blog_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php healthy_blog_show_layout($healthy_blog_embed_video); ?></div><?php
	}
}
?>