<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

// Header sidebar
$healthy_blog_header_name = healthy_blog_get_theme_option('header_widgets');
$healthy_blog_header_present = !healthy_blog_is_off($healthy_blog_header_name) && is_active_sidebar($healthy_blog_header_name);
if ($healthy_blog_header_present) { 
	healthy_blog_storage_set('current_sidebar', 'header');
	$healthy_blog_header_wide = healthy_blog_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($healthy_blog_header_name) ) {
		dynamic_sidebar($healthy_blog_header_name);
	}
	$healthy_blog_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($healthy_blog_widgets_output)) {
		$healthy_blog_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $healthy_blog_widgets_output);
		$healthy_blog_need_columns = strpos($healthy_blog_widgets_output, 'columns_wrap')===false;
		if ($healthy_blog_need_columns) {
			$healthy_blog_columns = max(0, (int) healthy_blog_get_theme_option('header_columns'));
			if ($healthy_blog_columns == 0) $healthy_blog_columns = min(6, max(1, substr_count($healthy_blog_widgets_output, '<aside ')));
			if ($healthy_blog_columns > 1)
				$healthy_blog_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($healthy_blog_columns).' widget ', $healthy_blog_widgets_output);
			else
				$healthy_blog_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($healthy_blog_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$healthy_blog_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($healthy_blog_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'healthy_blog_action_before_sidebar' );
				healthy_blog_show_layout($healthy_blog_widgets_output);
				do_action( 'healthy_blog_action_after_sidebar' );
				if ($healthy_blog_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$healthy_blog_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>