<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_link = get_permalink();
$healthy_blog_post_format = get_post_format();
$healthy_blog_post_format = empty($healthy_blog_post_format) ? 'standard' : str_replace('post-format-', '', $healthy_blog_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($healthy_blog_post_format) ); ?>><?php
	healthy_blog_show_post_featured(array(
		'thumb_size' => healthy_blog_get_thumb_size( (int) healthy_blog_get_theme_option('related_posts') == 1 ? 'huge' : 'big' ),
		'show_no_image' => false,
		'singular' => false
		)
	);
	?><div class="post_header entry-header">
		<div class="post_categories"> <?php echo (healthy_blog_get_post_categories('')) ?> </div>
		<h4 class="post_title entry-title"><a href="<?php echo esc_url($healthy_blog_link); ?>"><?php echo the_title(); ?></a></h4>
		<?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?>
			<span class="post_author"><?php echo get_avatar( get_the_author_meta( 'user_email' ) ); ?></span>
			<span class="author_name_by"><?php echo esc_html__( 'by ', 'healthy-blog' )?></span>
			<span class="author_name"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html(get_the_author()) ?></a></span>
			<span class="post_date"><a href="<?php echo esc_url($healthy_blog_link); ?>"><?php echo healthy_blog_get_date(); ?></a></span>
			<?php


		}
		?>

	</div>
</div>