<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage HEALTHY_BLOG
 * @since HEALTHY_BLOG 1.0
 */

$healthy_blog_post_id    = get_the_ID();
$healthy_blog_post_date  = healthy_blog_get_date();
$healthy_blog_post_title = get_the_title();
$healthy_blog_post_link  = get_permalink();
$healthy_blog_post_author_id   = get_the_author_meta('ID');
$healthy_blog_post_author_name = get_the_author_meta('display_name');
$healthy_blog_post_author_url  = get_author_posts_url($healthy_blog_post_author_id, '');

$healthy_blog_args = get_query_var('healthy_blog_args_widgets_posts');
$healthy_blog_show_date = isset($healthy_blog_args['show_date']) ? (int) $healthy_blog_args['show_date'] : 1;
$healthy_blog_show_image = isset($healthy_blog_args['show_image']) ? (int) $healthy_blog_args['show_image'] : 1;
$healthy_blog_show_author = isset($healthy_blog_args['show_author']) ? (int) $healthy_blog_args['show_author'] : 1;
$healthy_blog_show_counters = isset($healthy_blog_args['show_counters']) ? (int) $healthy_blog_args['show_counters'] : 1;
$healthy_blog_show_categories = isset($healthy_blog_args['show_categories']) ? (int) $healthy_blog_args['show_categories'] : 1;

$healthy_blog_output = healthy_blog_storage_get('healthy_blog_output_widgets_posts');

$healthy_blog_post_counters_output = '';
if ( $healthy_blog_show_counters ) {
	$healthy_blog_post_counters_output = '<span class="post_info_item post_info_counters">'
								. healthy_blog_get_post_counters('comments')
							. '</span>';
}


$healthy_blog_output .= '<article class="post_item with_thumb">';

if ($healthy_blog_show_image) {
	$healthy_blog_post_thumb = get_the_post_thumbnail($healthy_blog_post_id, healthy_blog_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($healthy_blog_post_thumb) $healthy_blog_output .= '<div class="post_thumb">' . ($healthy_blog_post_link ? '<a href="' . esc_url($healthy_blog_post_link) . '">' : '') . ($healthy_blog_post_thumb) . ($healthy_blog_post_link ? '</a>' : '') . '</div>';
}

$healthy_blog_output .= '<div class="post_content">'
			. ($healthy_blog_show_categories 
					? '<div class="post_categories">'
						. healthy_blog_get_post_categories()
						. $healthy_blog_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($healthy_blog_post_link ? '<a href="' . esc_url($healthy_blog_post_link) . '">' : '') . ($healthy_blog_post_title) . ($healthy_blog_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('healthy_blog_filter_get_post_info', 
								'<div class="post_info">'
									. ($healthy_blog_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'healthy-blog') . ' ' 
											. ($healthy_blog_post_link ? '<a href="' . esc_url($healthy_blog_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($healthy_blog_post_author_name) 
											. ($healthy_blog_post_link ? '</a>' : '') 
											. '</span>'
										: '')
								. ($healthy_blog_show_date
									? '<span class="post_info_item post_info_posted">'
									. ($healthy_blog_post_link ? '<a href="' . esc_url($healthy_blog_post_link) . '" class="post_info_date">' : '')
									. esc_html($healthy_blog_post_date)
									. ($healthy_blog_post_link ? '</a>' : '')
									. '</span>'
									: '')
									. (!$healthy_blog_show_categories && $healthy_blog_post_counters_output
										? $healthy_blog_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
healthy_blog_storage_set('healthy_blog_output_widgets_posts', $healthy_blog_output);
?>